EnTT: entt::poly_base< Poly > Struct Template Reference

EnTT 3.15.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
entt::poly_base< Poly > Struct Template Reference

Poly base class used to inject functionalities into concepts. More...

`#include <poly.hpp>`

## Public Member Functions
template<std::size_t Member, typename... Args>
decltype(auto) | invoke (const poly_base &self, Args &&...args) const
| Invokes a function from the static virtual table.
template<std::size_t Member, typename... Args>
decltype(auto) | invoke (poly_base &self, Args &&...args)
| Invokes a function from the static virtual table.

## Detailed Description

template<typename Poly>
struct entt::poly_base< Poly >

Poly base class used to inject functionalities into concepts.

Template Parameters

  Poly | The outermost poly class.

Definition at line 129 of file poly.hpp.

## Member Function Documentation

## ◆ invoke() [1/2]

template<typename Poly>
template<std::size_t Member, typename... Args>

decltype(auto) entt::poly_base< Poly >::invoke | ( | const poly_base< Poly > & | self,
|  | Args &&... | args ) const
| inlinenodiscard

Invokes a function from the static virtual table.

Template Parameters

  Member | Index of the function to invoke.
  Args | Types of arguments to pass to the function.

Parameters

  self | A reference to the poly object that made the call.
  args | The arguments to pass to the function.

Returns
  The return value of the invoked function, if any.

Definition at line 139 of file poly.hpp.

## ◆ invoke() [2/2]

template<typename Poly>
template<std::size_t Member, typename... Args>

decltype(auto) entt::poly_base< Poly >::invoke | ( | poly_base< Poly > & | self,
|  | Args &&... | args )
| inlinenodiscard

Invokes a function from the static virtual table.

Template Parameters

  Member | Index of the function to invoke.
  Args | Types of arguments to pass to the function.

Parameters

  self | A reference to the poly object that made the call.
  args | The arguments to pass to the function.

Returns
  The return value of the invoked function, if any.

Definition at line 151 of file poly.hpp.

The documentation for this struct was generated from the following file:

- src/entt/poly/poly.hpp